# $Revision: 1.21 $, $Date: 2009/01/28 12:21:33 $
Summary:	QSvn - Subversion Client
Summary(de.UTF-8):	QSvn - Ein Subversion Klient
Summary(pl.UTF-8):	QSvn - Klient Subversion
Name:		qsvn
Version:	0.8.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://www.anrichter.net/projects/qsvn/chrome/site/%{name}-%{version}-src.tar.gz
# Source0-md5:	e3ed92cbea9af08f8a8a471656b511dd
Source1:	%{name}.desktop
URL:		http://www.anrichter.net/projects/qsvn/
BuildRequires:	Qt3Support-devel
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	cmake >= 2.4.0
BuildRequires:	mysql-devel
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	subversion-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QSvn is a graphical Subversion Client for Linux, UNIX, Windows and Mac
OS X. We use the Subversion API for all Subversion actions and the Qt4
C++ toolkit from Trolltech for platform independent programming.

%description -l de.UTF-8
QSvn ist ein graphischer Subversion Klient für Linux, Unix, Windows
und Mac OS X. Es benutzt die Subversion API für alle Befehle die etwas
mit Subversion zu tun haben, Qt4 und C++ um auf sovielen Platformen
wie möglich zu programieren.

%description -l pl.UTF-8
QSvn jest graficznym klientem Subversion dla Linuksa, Uniksa, Windows
oraz Mac OS X. Używa API Subversion dla wszystkich czynności
związanych z svnem, Qt4 i C++ do wieloplatformowego programowania.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DCMAKE_BUILD_TYPE="Release" \
	../src
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_desktopdir},%{_pixmapsdir}}
install build/bin/qsvn $RPM_BUILD_ROOT%{_bindir}
install build/%{_lib}/libsvnqt4.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install src/images/%{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qsvn.spec,v $
Revision 1.21  2009/01/28 12:21:33  pluto
- updated to 0.8.0.

Revision 1.20  2008/06/14 10:34:02  arekm
- rel 2

Revision 1.19  2008-01-24 19:29:52  twittner
- up to 0.6.1

Revision 1.18  2008-01-05 16:31:10  qboosh
- removed non-existing patch leftover

Revision 1.17  2008-01-05 16:18:45  twittner
- rm `--debug-output' - commited accidentally

Revision 1.16  2008-01-05 16:14:48  twittner
- qsvn-qt4tools.patch after renaming qt4 tools is no longer needed
  (but doesn't hurt anyway)

Revision 1.15  2008-01-04 19:44:12  qboosh
- qt4-{qmake,moc,uic} -> {qmake,moc,uic}-qt4 (updated qt4tools patch)

Revision 1.14  2007-12-28 18:20:07  twittner
- up to 0.6.0

Revision 1.13  2007-11-18 17:59:04  arekm
- rel 3

Revision 1.12  2007-10-13 23:36:42  dzeus
- rel. 2

Revision 1.11  2007/03/03 11:08:17  glen
-se %cmake

Revision 1.10  2007/03/02 23:36:02  shadzik
- BR: mysql-devel
- sort BR's
- use %{__cmake} macro
- use install -d instead of mkdir

Revision 1.9  2007/03/02 23:19:19  twittner
- up to 0.5.0 (introduces cmake build system)

Revision 1.8  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.6  2006/06/11 15:45:04  qboosh
- pl fix

Revision 1.5  2006/06/06 09:45:47  shadzik
- added german description

Revision 1.4  2006/06/06 09:21:14  shadzik
- better use %{_pixmapsdir}, the result is the same, so qboosh was right
- rel 1

Revision 1.3  2006/06/06 04:18:33  shadzik
- add icon

Revision 1.2  2006/06/06 03:38:35  shadzik
- removed md5sum for Source1

Revision 1.1  2006/06/06 03:35:37  shadzik
- new
